Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Apr 2020 18:46:43 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 17 Apr 2020 16:35:14 +0100
> Cc: Stefan Monnier <[email-masked]>, Juri Linkov <[email-masked]>, [email-masked], 
> 	Dmitry Gutov <[email-masked]>
> 
>  > Which code?
> 
>  The code of the proposed new mode.
> 
> That has been shown already by Stefan's patch, way back.  

And I already rejected it.  If we want to have a mode, let's have a
mode, to support all the good features discussed lately here.  Like a
lighter, code that injects the mode into auto-generated files and
turns on automatically for non-generated ones, etc.  A clean job, IOW.

>  Once again, I don't want us to have a mode for .dir-locals.el files
>  alone.  How many times do I have to say that before you understand?
> 
> Look Eli, there's no reason to be unpleasant, OK???

I'm not being more unpleasant than you are.

> And you didn't refute ANY of my arguments. You just say you 
> don't want something to handle just one file. I and others point
> to you it can be used for more files and YOU ignore it. 
> 
> So let's get that straight, and let's let this rest for a while.

I already had that straight, more than once.  Please respect my
opinions on this.  They are expressed in very clear words.